Summary: Small bourne shell from Berkeley
Name: ash
Version: 0.2
Release: 10
Copyright: BSD
Group: Shells
Source: sunsite.unc.edu:/pub/Linux/system/Shells/ash-linux-0.2.tar.gz
Patch: ftp://ftp.redhat.com/pub/ash-0.2-make.patch
Prereq: fileutils grep
BuildRoot: /var/tmp/ash-root
Conflicts: mkinitrd <= 1.7

%description
ash is a bourne shell clone from Berkeley.  It supports all of the standard
Bourne shell commands and has the advantage of supporting them while 
remaining considerably smaller than bash. 

%changelog

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>

- made /bin/ash built shared
- added ash.static
- uses a buildroot and %attr

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>

- built against glibc
- statically linked

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

- fixed preinstall script to >> /etc/shells for bsh.

%prep
%setup -n ash-linux-0.2
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 
strip sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -m 755 sh $RPM_BUILD_ROOT/bin/ash
install -m 644 sh.1 $RPM_BUILD_ROOT/usr/man/man1/ash.1
ln -sf ash.1 $RPM_BUILD_ROOT/usr/man/man1/bsh.1
ln -sf ash $RPM_BUILD_ROOT/bin/bsh

rm -f sh
make STATIC=-static

install -m 755 sh $RPM_BUILD_ROOT/bin/ash.static

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ash" > /etc/shells
	echo "/bin/bsh" >> /etc/shells
else
	if ! grep '^/bin/ash$' /etc/shells > /dev/null; then
		echo "/bin/ash" >> /etc/shells
	fi
	if ! grep '^/bin/bsh$' /etc/shells > /dev/null; then
		echo "/bin/bsh" >> /etc/shells
	fi
fi

%postun

if [ "$0" = 0 ]; then
	grep -v '^/bin/ash' < /etc/shells | grep -v '^/bin/bsh' > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%verifyscript

for n in ash bsh; do
    echo -n "Looking for $n in /etc/shells... "
    if ! grep "^/bin/${n}\$" /etc/shells > /dev/null; then
	echo "missing"
	echo "${n} missing from /etc/shells" >&2
    else
	echo "found"
    fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /bin/ash
%attr(-,root,root) /bin/ash.static
%attr(-,root,root) /bin/bsh
%attr(-,root,root) /usr/man/man1/ash.1
%attr(-,root,root) /usr/man/man1/bsh.1
